# Get Endpoint - -DeleteConflictById
Returns synchronization conflict with provided id.
# HTTP Request
One of the following requests should be made:
GET /odata/syncconflicts({key})
GET /odata/syncconflicts/{key}
The endpoint supports the following OData query parameters: $select, $expand
# Path parameters
| Name | Description |
|---|---|
| key | required. Id of sharepoint sync target that should be loaded. |
# Query parameters
| Name | Description |
|---|---|
| repository | optional. Destination repository key. |
# Request headers
| Name | Description |
|---|---|
| Authorization | required. Bearer {token}. See authorization |
# Responses
| Code | Description | Type |
|---|---|---|
200 | If the load of sharepoint sync target was successful. | array SyncConflictEntity |
400 | Request contains invalid data. | |
500 | When an server error occurs during the load of sharepoint synctarget. |
# Example
# Request
The following is an example of how to call the endpoint:
GET /odata/syncconflicts(1)?repository=repo1&$expand=details
# Response
The following example shows the response:
Information
The response object is truncated for clarity. Default properties will be returned from the call.
{
"syncConflictId": 1,
"title": "Example",
"firstId": "3143bd06-f34d-47cc-ac1d-448846a3ce01",
"secondId": "3eb1350c-a8a0-4cb1-9071-d9942c5b8ad9",
"details": [
{
"key": "key1",
"value": "Lorem ipsum"
}
]
}